Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class TableRowElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.TableRowElement

Direct Known Subclasses:
  BeanHTML

public class TableRowElement
extends MultiPartElement

A TableRowElement is used to build the rows of an htmlKona TableElement. Use the addElement() method in the TableElement class to add a TableRowElement to a table. For example, this shows how to created a nested table by adding TableRowElements to a TableElement tab:

      TableElement tab = new TableElement();
       tab.addElement(new TableRowElement()
                      .addElement(new TableHeadingElement("Topic"))
                      .addElement(new TableHeadingElement("Value")));
       tab.addElement(new TableRowElement()
                      .addElement(new TableDataElement(reg.getID())
                                  .setVAlign(AlignType.top))
                      .addElement(new TableDataElement(new TableElement(reg.getMain())
                                                       .setCaption(new BoldElement("N1"))
                                                       .setBorder(1))
                                  .setVAlign(AlignType.top)));

and so forth.

A TableRowElement can be constructed with a dbKona Schema object, which supplies details about the name and width of each column and the total number of columns in the row.

Version:
  2.1
Author:
  Copyright (c) 1995-96, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `TableElement`, `Schema`, `Record`, `TableElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`TableRowElement()` Deprecated. Constructs a TableRowElement.
`TableRowElement(HtmlElement elem)` Deprecated. Constructs a TableRowElement with the specified HtmlElement.
`TableRowElement(int numcols)` Deprecated. Constructs a TableRowElement with the specified number of columns.
`TableRowElement(Record rec)` Deprecated. Constructs a TableRowElement with the specified dbKona Record.
`TableRowElement(Schema sch)` Deprecated. Constructs a TableRowElement based on the specified Schema.
`TableRowElement(java.lang.String str)` Deprecated. Constructs a TableRowElement with the specified String.
`TableRowElement(java.lang.String[] strs)` Deprecated. Constructs a TableRowElement with one column for each element in the strs array.
`TableRowElement(java.lang.String[] strs, int count)` Deprecated. Constructs a TableRowElement with one column for the first count elements in the strs array.

Method Summary
`TableRowElement` | `addElement(HtmlElement val)` Deprecated. Adds the specified HtmlElement as a TableDataElement to a TableRowElement.
`TableRowElement` | `addElement(java.lang.String str)` Deprecated. Adds the specified string as a TableDataElement to a TableRowElement.
`TableRowElement` | `addElement(TableDataElement val)` Deprecated. Adds the specified TableDataElement to a TableRowElement.
`TableDataElement` | `getCellAt(int pos)` Deprecated. Gets the cell at the specified position of a TableRowElement.
`TableDataElement` | `getElementAt(int pos)` Deprecated. Gets the TableDataElement at the specified position of a TableRowElement.
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`int` | `getNumCells()` Deprecated. Gets the number of cells in a TableRowElement.
`protected boolean` | `printCR()` Deprecated.
`TableRowElement` | `setAlign(AlignType val)` Deprecated. Sets the horizontal alignment (ALIGN) of a TableRowElement.
`TableRowElement` | `setBgColor(java.awt.Color color)` Deprecated. Sets the background color attribute for a TableRowElement.
`TableRowElement` | `setBgColor(java.lang.String color)` Deprecated. Sets the background color attribute for a TableRowElement.
`TableRowElement` | `setVAlign(AlignType val)` Deprecated. Sets the vertical alignment (VALIGN) of a TableRowElement.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableRowElement

    public TableRowElement()

  Deprecated.
  Constructs a TableRowElement.

### TableRowElement

    public TableRowElement(Schema sch)
                    throws java.sql.SQLException,
                           DataSetException

  Deprecated.
  Constructs a TableRowElement based on the specified Schema.

  Parameters:
    `sch` - Schema object
  Throws:
    java.sql.SQLException - if there is a SQL error
    DataSetException - if there is an error in the DataSet

### TableRowElement

    public TableRowElement(java.lang.String[] strs)

  Deprecated.
  Constructs a TableRowElement with one column for each element in the strs array.

  Parameters:
    `str` - String object

### TableRowElement

    public TableRowElement(java.lang.String[] strs,
                           int count)

  Deprecated.
  Constructs a TableRowElement with one column for the first count elements in the strs array.

  Parameters:
    `strs` - String object
    `count` - Number of strs to add

### TableRowElement

    public TableRowElement(java.lang.String str)

  Deprecated.
  Constructs a TableRowElement with the specified String.

  Parameters:
    `str` - String object

### TableRowElement

    public TableRowElement(int numcols)

  Deprecated.
  Constructs a TableRowElement with the specified number of columns.

  Parameters:
    `numcols` - Number of columns

### TableRowElement

    public TableRowElement(HtmlElement elem)

  Deprecated.
  Constructs a TableRowElement with the specified HtmlElement.

  Parameters:
    `elem` - HtmlElement object

### TableRowElement

    public TableRowElement(Record rec)
                    throws java.sql.SQLException,
                           DataSetException

  Deprecated.
  Constructs a TableRowElement with the specified dbKona Record.

  Parameters:
    `rec` - T3Server Record object
  Throws:
    java.sql.SQLException - if there is a SQL error
    DataSetException - if there is an error in the DataSet

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### addElement

    public TableRowElement addElement(java.lang.String str)

  Deprecated.
  Adds the specified string as a TableDataElement to a TableRowElement.

  Parameters:
    `str` - String object
  Returns:
    TableRowElement object

### addElement

    public TableRowElement addElement(HtmlElement val)

  Deprecated.
  Adds the specified HtmlElement as a TableDataElement to a TableRowElement.

  Parameters:
    `val` - HtmlElementObject
  Returns:
    TableRowElement object

### addElement

    public TableRowElement addElement(TableDataElement val)

  Deprecated.
  Adds the specified TableDataElement to a TableRowElement.

  Parameters:
    `val` - TableDataElement
  Returns:
    TableRowElement object

### getCellAt

    public TableDataElement getCellAt(int pos)

  Deprecated.
  Gets the cell at the specified position of a TableRowElement.

  Parameters:
    `pos` - Index position
  Returns:
    TableDataElement object

### getElementAt

    public TableDataElement getElementAt(int pos)

  Deprecated.
  Gets the TableDataElement at the specified position of a TableRowElement.

  Parameters:
    `pos` - Index position
  Returns:
    TableDataElement object

### setAlign

    public TableRowElement setAlign(AlignType val)

  Deprecated.
  Sets the horizontal alignment (ALIGN) of a TableRowElement. Valid types are left, right, center.

  Parameters:
    `val` - AlignType object
  Returns:
    TableRowElement object

### setBgColor

    public TableRowElement setBgColor(java.lang.String color)

  Deprecated.
  Sets the background color attribute for a TableRowElement. Use a color name (encapsulated in HtmlColor) or a hex RGB value ("#FFFFFF").

  Parameters:
    `color` - HtmlColor constant or hex RGB value
  Returns:
    TableRowElement
  See Also:
    `HtmlColor`

### setBgColor

    public TableRowElement setBgColor(java.awt.Color color)

  Deprecated.
  Sets the background color attribute for a TableRowElement. Use a java.awt.Color object

  Parameters:
    `color` - java.awt.Color object
  Returns:
    TableRowElement

### setVAlign

    public TableRowElement setVAlign(AlignType val)

  Deprecated.
  Sets the vertical alignment (VALIGN) of a TableRowElement. Valid types are top, middle, bottom, baseline.

  Parameters:
    `val` - AlignType object
  Returns:
    TableRowElement object

### getNumCells

    public int getNumCells()

  Deprecated.
  Gets the number of cells in a TableRowElement.

  Returns:
    Number of cells as an int

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD